# Default values for introspect-webapp.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
envValues:
  DATABASE_ENGINE: ""
  DATABASE_HOST: ""
  DATABASE_PORT: "5432"
  DATABASE_NAME: ""
  DATABASE_USER: ""
  CACHE_BACKEND: "django.core.cache.backends.memcached.MemcachedCache"
  CACHE_LOCATION: "hostname:11211"
  MEDIA_ROOT: /svr/media

secretValues:
  CELERY_RESULT_BACKEND: "redis://:password@hostname:6379/0"
  CELERY_BROKER_URL: "amqp://user:password@hostname:5672//"
  WEBAPP_SECRET_KEY: ""
  DATABASE_PASSWORD: ""


app:
  name: ""
  wsgiApp: "webapp.wsgi:application"
  image:
    repository: ""
    tag: latest
    pullPolicy: IfNotPresent
  mediaPath: /svr/media
  workerPool: "solo"
  initArgs: "python manage.py migrate"
  sharedMount:
    enabled: false
    existingClaim: ""
    accessMode: ReadWriteMany
    size: 64Gi
    storageClass: nfs

celery:
  schedulerName: django_celery_beat.schedulers:DatabaseScheduler
  beatPidPath: /tmp/celerybeat.pid


webapp:
  replicaCount: 3
  resources: {}
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity: {}
  service:
    type: ClusterIP
    port: 80
  ingress:
    enabled: false
    annotations: {}
      # kubernetes.io/ingress.class: nginx
      # kubernetes.io/tls-acme: "true"
    paths: []
    hosts:
      - chart-example.local
    tls: []
    #  - secretName: chart-example-tls
    #    hosts:
    #      - chart-example.local
static:
  enabled: true
  image:
    repository: nginx
    tag: stable
    pullPolicy: IfNotPresent
  replicaCount: 3
  containerPort: 80
  resources: {}
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity: {}
  service:
    type: ClusterIP
    port: 80
  ingress:
    enabled: false
    annotations: {}
      # kubernetes.io/ingress.class: nginx
      # kubernetes.io/tls-acme: "true"
    paths:
      - /static
    hosts:
      - chart-example.local
    tls: []
    #  - secretName: chart-example-tls
    #    hosts:
    #      - chart-example.local

worker:
  replicaCount: 3
  resources: {}
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity: {}

workerBeat:
  resources: {}
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity: {}

probe:
    enabled: true
    port: 80
    path: /

nameOverride: ""
fullnameOverride: ""
